SwapAll
Consistent identity - Upload all and swap
Deprecation notice
This endpoint is deprecated. We recommend using alternative endpoints to ensure continued support and compatibility.
POST
Reserved for premium users
Example:
import requestsimport jsonurl_api = 'https://api.piktid.com/api'face_full_path = 'url_of_your_face_to_swap'target_full_path = 'url_of_your_target_image'options = {}response = requests.post(url_api+'/swap/all',headers={'Authorization': 'Bearer '+TOKEN},files={'face': open(face_full_path, 'rb'), 'target':open(target_full_path, 'rb')},data={'options':json.dumps(options)},)response_json = json.loads(response.text)links = response_json.get('links')face_name = response_json.get('face_name')target_name = response_json.get('target_name')token_auth_2header
AuthorizationBearer <token>application/json- body
face?unknowntarget?unknownoptions?stringSuccess
application/json- response
links?array<>face_name?stringtarget_name?stringcurl -X POST "https://example.com/api/swap/all" \ -H "Content-Type: application/json" \ -d '{}'{ "links": [ { "l": "string", "n": "string", "t": "string" } ], "face_name": "string", "target_name": "string"}